# Get Customer

### Get Customer Details

This API endpoint retrieves details of customers for a particular BotPenguin Partner Agency.

#### Endpoint

<table><thead><tr><th width="223">Method</th><th>URL</th></tr></thead><tbody><tr><td>GET</td><td>https://api.v7.botpenguin.com/customer/list</td></tr></tbody></table>

#### Parameters

<table><thead><tr><th width="178">Parameter</th><th width="156">Required</th><th>Description</th></tr></thead><tbody><tr><td>page</td><td>No</td><td>The page number for pagination. Default is 1.</td></tr><tr><td>sort</td><td>No</td><td>Sorting criteria. Default is createdAt</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="176">Header</th><th width="158">Value</th><th>Description</th></tr></thead><tbody><tr><td>authtype</td><td>Key</td><td>Must be set to 'Key'.</td></tr><tr><td>Authorization</td><td>Bearer</td><td>Bearer token for authentication. You can get the same from the agency admin's account on BotPenguin Dashboard.</td></tr></tbody></table>

#### Example Request

{% code overflow="wrap" %}

```bash
curl --location 'https://api.v7.botpenguin.com/customer/list?page=1&sort=createdAt' \
--header 'authtype: Key' \
--header 'Authorization: Bearer **********'
```

{% endcode %}

#### Success API Response

```json
{
    "success": true,
    "message": "",
    "data": [
        {
            "_id": "**********",
            "name": "Kevin v3",
            "contact": {
                "email": "kevin+4@monday101.com"
            },
            "verified": true,
            "status": "ACTIVE",
            "subscriptionType": "v2",
            "createdAt": "2024-04-02T07:06:03.910Z",
            "updatedAt": "2024-04-02T13:57:16.513Z",
            "lastLogin": "2024-04-02T09:48:04.402Z"
        },
    ],
    "code": 200
}
```

#### Response Fields

| Field            | Description                                                                     |
| ---------------- | ------------------------------------------------------------------------------- |
| success          | Indicates if the request was successful.                                        |
| message          | Additional information or error messages.                                       |
| data             | Array of customer details.                                                      |
| \_id             | Unique identifier of the customer. This will be used to retrieve customer token |
| name             | Name of the customer.                                                           |
| contact.email    | Email address of the customer.                                                  |
| verified         | Indicates whether the customer is verified.                                     |
| status           | Status of the customer (ACTIVE, INACTIVE, etc).                                 |
| subscriptionType | Type of subscription (e.g., v2).                                                |
| createdAt        | Date and time when the customer was created.                                    |
| updatedAt        | Date and time when the customer was last updated.                               |
| lastLogin        | Date and time of the customer's last login.                                     |

### :question: Got any questions?

If you have any questions, you can look into our repository of FAQs, most likely, you will find your answer here, If not, write us at <contact@botpenguin.com>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partners.botpenguin.com/api-documentation/partner-api-documentation/get-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
